<?php if (!defined('ABSPATH')) {
  die;
} // Cannot access directly.

//
// Set a unique slug-like ID
//
$prefix = 'quotemeta';

//
// Create options
//
QMT::createOptions($prefix, array(
  'menu_title' => esc_html__('QuoteMete', 'quotemate'),
  'menu_slug'  => 'quotemate',
  'menu_icon'         => 'dashicons-admin-site',
  'framework_title'   => esc_html__('QuoteMete ', 'quotemate'),
  'footer_text'       => esc_html__('Thank you for using our plugin', 'quotemate'),
  'context'           => 'normal',
  'nav'               => 'inline',
  'theme'             => 'light',
  'show_bar_menu'     => false,
));

//
// Create a section
//
QMT::createSection($prefix, array(
  'title'  => esc_html__('BUTTON SETTINGS', 'quotemate'),
  'icon'   => 'fab fa-whatsapp',
  'fields' => array(

    //
    // A text field
    //
    array(
      'id'    => 'qmt_whatsapp_number',
      'type'  => 'text',
      'title' => esc_html__('Whatsapp Number', 'quotemate'),
      'default' => esc_html__('+880123456789', 'quotemate'),
    ),
    array(
      'id'    => 'qmt_quote_button_text',
      'type'  => 'text',
      'title' => esc_html__('Quote Button Text', 'quotemate'),
      'default' => esc_html__('Get a Quote', 'quotemate'),
    ),
    array(
      'id'    => 'qmt_quote_button_typography',
      'type'  => 'typography',
      'title' => esc_html__('Quote Button Typography', 'quotemate'),
      'color' => false,
      'output'      => '.quotemeta_button .sweetalert_form',
    ),
    array(
      'id'        => 'qmt_quote_button_color',
      'type'      => 'color_group',
      'title'     => esc_html__('Quote Button Color', 'quotemate'),
      'options'   => array(
        'color'             => esc_html__('Color', 'quotemate'),
        'background'        => esc_html__('Background', 'quotemate'),
        'hover_color'       => esc_html__('Hover Color', 'quotemate'),
        'hover_background'  => esc_html__('Hover Background', 'quotemate'),
      ),
      'default' => array(
        'color'       => '#ffffff',
        'background'  => '#008069',
        'hover_color' => '#ffffff',
        'hover_background' => '#0a0500',
      )
    ),
    array(
      'id'          => 'qmt_quote_button_margin',
      'type'        => 'spacing',
      'title'       => esc_html__('Quote Button Margin', 'quotemate'),
      'output'      => '.quotemeta_button',
      'output_mode' => 'margin',
      'default'     => array(
        'top'       => '',
        'right'     => '',
        'bottom'    => '',
        'left'      => '',
        'unit'      => 'px',
      ),
    ),
    array(
      'id'          => 'qmt_quote_button_padding',
      'type'        => 'spacing',
      'title'       => esc_html__('Quote Button Padding', 'quotemate'),
      'output'      => '.quotemeta_button .sweetalert_form',
      'output_mode' => 'padding',
      'default'     => array(
        'top'       => '',
        'right'     => '',
        'bottom'    => '',
        'left'      => '',
        'unit'      => 'px',
      ),
    ),
    array(
      'id'          => 'qmt_quote_button_border_radius',
      'type'        => 'spacing',
      'title'       => esc_html__('Quote Button Border Radius', 'quotemate'),
      'output'      => '.quotemeta_button .sweetalert_form',
      'output_mode' => 'border-radius',
      'default'     => array(
        'top'       => '5',
        'right'     => '5',
        'bottom'    => '5',
        'left'      => '5',
        'unit'      => 'px',
      ),
    ),
    array(
      'id'          => 'qmt_btn_alignment',
      'type'        => 'button_set',
      'title'       => esc_html__('Quote Button Alignment', 'quotemate'),
      'desc'        => esc_html__('Select button alignment. Default: Center.', 'quotemate'),
      'options'     => array(
        'flex-start'  => esc_html__('Left', 'quotemate'),
        'center'    => esc_html__('Center', 'quotemate'),
        'flex-end'  => esc_html__('Right', 'quotemate'),
      ),
      'default'     => 'flex-start',
    ),
    array(
      'id'          => 'qmt_show_btn_position',
      'type'        => 'button_set',
      'title'       => esc_html__('Button Position', 'quotemate'),
      'desc'        => esc_html__('Select button position. Default: After Cart Button.', 'quotemate'),
      'options'     => array(
        'before_cart'  => esc_html__('Before Cart', 'quotemate'),
        'after_cart' => esc_html__('After Cart', 'quotemate'),
      ),
      'default' => 'after_cart',
    ),
  )
));
QMT::createSection($prefix, array(
  'title'  => esc_html__('WOOCOMMERCE SETTINGS', 'quotemate'),
  'icon'   => 'fas fa-shopping-cart',
  'fields' => array(

    //
    // A text field
    //
    array(
      'id'    => 'qmt_show_single_product',
      'type'  => 'switcher',
      'text_on'    => esc_html__('Yes', 'quotemate'),
      'text_off'   => esc_html__('No', 'quotemate'),
      'text_width' => '70',
      'title' => esc_html__('Single Product', 'quotemate'),
      'desc' => esc_html__('Show quote button on single product page.', 'quotemate'),
      'default' => 'true',
    ),
    array(
      'id'    => 'qmt_show_loop_product',
      'type'  => 'switcher',
      'text_on'    => esc_html__('Yes', 'quotemate'),
      'text_off'   => esc_html__('No', 'quotemate'),
      'text_width' => '70',
      'title' => esc_html__('Products Loop', 'quotemate'),
      'desc' => esc_html__('Show quote button on products loop.', 'quotemate'),
      'default' => 'true',
    ),
    array(
      'id'              => 'qmt_show_only_for',
      'type'            => 'button_set',
      'title'           => esc_html__('Show the Button for', 'quotemate'),
      'desc'            => esc_html__('You can show the button for all the products or any specific products type. Default: All Products', 'quotemate'),
      'options'         => array(
        'all_products'      => esc_html__('All Products', 'quotemate'),
        'featured_product'  => esc_html__('Only for Featured Products', 'quotemate'),
        'out_of_stock'      => esc_html__('Only for Out of Stock Products', 'quotemate'),
        'on_backorder'      => esc_html__('Only for On Backorder Products', 'quotemate'),
      ),
      'default' => 'all_products',
    ),
    array(
      'id'            => 'qmt_show_btn_user',
      'type'          => 'button_set',
      'title'         => esc_html__('Show Quote Button', 'quotemate'),
      'desc'          => esc_html__('Show WooCommerce quote button.', 'quotemate'),
      'options'       => array(
        'all_users'       => esc_html__('All Users', 'quotemate'),
        'logged_in_users' => esc_html__('Only Logged in Users', 'quotemate'),
        'not_logged_in_users' => esc_html__('Not Logged in Users', 'quotemate'),
      ),
      'default' => 'all_users',
    ),
  )
));
QMT::createSection($prefix, array(
  'title'  => esc_html__('FORM SETTINGS', 'quotemate'),
  'icon'   => 'fab fa-wpforms',
  'fields' => array(
    array(
      'id'    => 'qmt_whatsapp_message_template',
      'type'  => 'textarea',
      'title' => esc_html__('Whatsapp Message Template', 'quotemate'),
      'default'  => esc_html__("Dear [Sales/Support Team],\n\n I hope this message finds you well. My name is {name}, and I'm interested in learning more about your product, {productName}.\n\n Product Details:\n Product Name: {productName}\n Product Slug: {productSlug}\n Current Price: {productPrice}\n Website: {siteURL}\n Address: {ip}\n\n I have the following questions and inquiries: {message}\n\n Thank you for your time and assistance. I look forward to hearing from you soon.\n\n Best regards,\n {name}\n {email}", 'quotemate'),
      'desc'      => esc_html__('Available tags &ndash; {name}, {email}, {message}, {productName}, {productSlug}, {productSku}, {productPrice}, {productRegularPrice}, {productSalePrice}, {productStockStatus}, {ip}', 'domain-for-sale'),

    ),
    array(
      'id'    => 'qmt_name_label',
      'type'  => 'text',
      'title' => esc_html__('Name Field Label', 'quotemate'),
      'default'  => esc_html__('Name*', 'quotemate'),
    ),
    array(
      'id'    => 'qmt_name_placeholder',
      'type'  => 'text',
      'title' => esc_html__('Name Field Placeholder', 'quotemate'),
      'default'  => esc_html__('Your Name', 'quotemate'),
    ),
    array(
      'id'    => 'qmt_email_label',
      'type'  => 'text',
      'title' => esc_html__('Email Field Label', 'quotemate'),
      'default'  => esc_html__('Email*', 'quotemate'),
    ),
    array(
      'id'    => 'qmt_email_placeholder',
      'type'  => 'text',
      'title' => esc_html__('Email Field Placeholder', 'quotemate'),
      'default'  => esc_html__('Your Email', 'quotemate'),
    ),
    array(
      'id'    => 'qmt_textarea_label',
      'type'  => 'text',
      'title' => esc_html__('Quote Message Field Label', 'quotemate'),
      'default'  => esc_html__('Quote Message', 'quotemate'),
    ),
    array(
      'id'    => 'qmt_textarea_placeholder',
      'type'  => 'text',
      'title' => esc_html__('Quote Message Field Placeholder', 'quotemate'),
      'default'  => esc_html__('Your Quote', 'quotemate'),
    ),
    array(
      'id'    => 'qmt_form_button',
      'type'  => 'text',
      'title' => esc_html__('Form Button', 'quotemate'),
      'default'  => esc_html__('Send Quote', 'quotemate'),
    ),
    array(
      'id'    => 'qmt_name_validation',
      'type'  => 'text',
      'title' => esc_html__('Name validation Text', 'quotemate'),
      'default'  => esc_html__('Please provide a name.', 'quotemate'),
    ),
    array(
      'id'    => 'qmt_email_validation',
      'type'  => 'text',
      'title' => esc_html__('Name validation Text', 'quotemate'),
      'default'  => esc_html__('Please provide a valid email.', 'quotemate'),
    ),
  )
));
QMT::createSection($prefix, array(
  'title'  => esc_html__('POPUP SETTINGS', 'quotemate'),
  'icon'   => 'far fa-clone',
  'fields' => array(
    array(
      'id'      => 'qmt_popup_width',
      'type'    => 'dimensions',
      'title'   => esc_html__('Popup Width', 'quotemate'),
      'height'  => false,
      'unit'    => false,
      'default' => array(
        'width' => 500,
      )
    ),
    array(
      'id'      => 'qmt_popup_show_cancel_btn',
      'type'    => 'switcher',
      'title'   => esc_html__('Popup Show Cancel Button', 'quotemate'),
      'default' => 'true',
    ),
    array(
      'id'      => 'qmt_popup_cancel',
      'type'    => 'text',
      'title'   => esc_html__('Popup Cancel Button', 'quotemate'),
      'default' => esc_html__('Cancel', 'quotemate'),
      'dependency' => array('qmt_popup_show_cancel_btn', '==', 'true'),
    ),
    array(
      'id'      => 'qmt_popup_background',
      'type'    => 'background',
      'background_color'      => true,
      'background_image'      => true,
      'background-position'   => true,
      'background_repeat'     => true,
      'background_attachment' => true,
      'background_size'       => true,
      'background_gradient'   => true,
      'title'   => esc_html__('Popup Background', 'quotemate'),
      'output'  => '.qtm_popup',
    ),
    array(
      'id'      => 'qmt_popup_title',
      'type'    => 'typography',
      'title'   => esc_html__('Popup Title Typography', 'quotemate'),
      'output'  => '.swal2-popup h2'
    ),
    array(
      'id'      => 'qmt_popup_label',
      'type'    => 'typography',
      'title'   => esc_html__('Popup Label Typography', 'quotemate'),
      'output'  => '.qtm_form label'
    ),
    array(
      'id'      => 'qmt_popup_input_background',
      'type'    => 'background',
      'background_color'      => true,
      'background_image'      => false,
      'background-position'   => false,
      'background_repeat'     => false,
      'background_attachment' => false,
      'background_size'       => false,
      'background_gradient'   => false,
      'background_position'   => false,
      'title'   => esc_html__('Popup Input Background', 'quotemate'),
      'output'  => '.qtm_form input, .qtm_form textarea'
    ),
    array(
      'id'      => 'qmt_popup_input',
      'type'    => 'typography',
      'title'   => esc_html__('Popup Input Typography', 'quotemate'),
      'output'  => '.qtm_form input, .qtm_form textarea, .qtm_form input:focus'
    ),
  )
));
QMT::createSection($prefix, array(
  'title'  => esc_html__('CUSTOM CSS', 'quotemate'),
  'icon'   => 'fab fa-css3',
  'fields' => array(
    array(
      'id'       => 'qmt_custom_css',
      'type'     => 'code_editor',
      'title'    => 'Custom CSS',
      'desc'     => esc_html__('Paste your CSS code here.', 'quotemate'),
      'settings' => array(
        'theme'  => 'shadowfox',
        'mode'   => 'css',
      ),
    ),
  )
));
