<?php

if (!defined('ABSPATH')) exit; // Exit if accessed directly 

/**
 * Shortcode
 */

class Qmt_Button_Shortcode
{
   
    public function __construct(){
        add_shortcode('qutemate-button', array($this, 'quotemate_button_shortcode'));

    }
    
    public function quotemate_button_shortcode($atts, $content = '') {

        ob_start();
        self::contact_form_button($atts);
        $content .= ob_get_clean();
        return $content;
    }

    public function contact_form_button($args = array()) {
        global $post;

        global $product;
		$productName = $product->get_name();
		$productSku = $product->get_sku();
        $productSlug = $product->slug;
        $productPrice = $product->price;
        $productRegularPrice = $product->regular_price;
        $productSalePrice = $product->sale_price;
        $productStockStatus = $product->stock_status;
        $ip = esc_sql(sanitize_text_field($_SERVER['REMOTE_ADDR']));
        $siteURL = get_site_url();

        $options = get_option('quotemeta');
        $quote_button_text = $options['qmt_quote_button_text'];
        $qmt_whatsapp_number = $options['qmt_whatsapp_number'];
        
        $variables = array('{siteURL}', '{productName}', '{productSlug}','{productSku}', '{productPrice}', '{productRegularPrice}', '{productSalePrice}', '{productStockStatus}', '{ip}');
        $values = array($siteURL, $productName, $productSlug, $productSku, $productPrice, $productRegularPrice, $productSalePrice, $productStockStatus, $ip);
        $text = trim(str_replace($variables, $values, $options['qmt_whatsapp_message_template']));

        $defaults = array(
            'post_id'               => ($post ? $post->ID : ''),
            'product_name'      => $productName,
            'qmt_whatsapp_number'   => $qmt_whatsapp_number,
            'quote_button_text'     => $quote_button_text,
            'whatsapp_message'      => $text,
            'class'                 => '',
        );
        
        $args = wp_parse_args($args, $defaults);
        if($args['qmt_whatsapp_number']) {
            if ($args['quote_button_text']) {
                echo apply_filters('quotemate_button_html', sprintf('<div class="quotemeta_button quotemeta_btn_wrapper_%s"> <button data-product-title="%s" data-message="%s" class="sweetalert_form quotemate_button">%s</button> </div> ',( $args['class'] ? esc_attr($args['class']) : '' ), esc_attr($args['product_name']), esc_attr($args['whatsapp_message']), esc_html($args['quote_button_text'])), $args);

            } else {
                printf('<div><div class="qmt_error">%s</div></div>', esc_html__('Button text required.', 'quotemate'));
            }
        } else {
            printf('<div><div class="qmt_error">%s</div></div>', esc_html__('Whatsapp number is required.', 'quotemate'));
        }
    }
}

new Qmt_Button_Shortcode();