(function ($) {
  "use strict";

  let showCancelBtn = qmt_popup.qmt_popup_show_cancel_btn != 0 ? true : false;

  /******************** Sweet Alert form  ********************/
  let sweetalert_forms = document.querySelectorAll(".sweetalert_form");

  sweetalert_forms.forEach((sweetalert_form) => {
    let whatsappMessage = sweetalert_form.getAttribute("data-message");
    let productTitle = sweetalert_form.getAttribute("data-product-title");

    sweetalert_form.addEventListener("click", function (e) {
      Swal.fire({
        title: productTitle,	
        html: `<div class="qtm_form">
	  <label for="name">${qmt_popup.qmt_name_label}</label>
	  <input placeholder="${qmt_popup.qmt_name_placeholder}" required id='name' type='text' />
	  <label for="email">${qmt_popup.qmt_email_label}</label>
	  <input placeholder="${qmt_popup.qmt_email_placeholder}" required id='email' type='email' />
	  <label for="message">${qmt_popup.qmt_textarea_label}</label>
		<textarea placeholder="${qmt_popup.qmt_textarea_placeholder}" id='message' rows='5'></textarea>
		</div>`,
        showCancelButton: showCancelBtn,
        showCloseButton: true,
        width: qmt_popup.qmt_popup_width,
        confirmButtonText: qmt_popup.qmt_form_button,
        customClass: {
          popup: "qtm_popup",
          confirmButton: "quotemate_button",
        },
        showLoaderOnConfirm: true,

        preConfirm: () => {
          const linkTemplate = `https://wa.me/${qmt_popup.qmt_whatsapp_number}?text=${whatsappMessage}`;
          const nameValue = document.getElementById("name").value || "";
          const emailValue = document.getElementById("email").value || "";
          const messageValue = document.getElementById("message").value || "";

          if (!nameValue) {
            Swal.showValidationMessage(qmt_popup.qmt_name_validation);
          } else if (!emailValue || !isValidEmail(emailValue)) {
            Swal.showValidationMessage(qmt_popup.qmt_email_validation);
          } else {
            const changeHrefValue = () => {
              let updatedLink = linkTemplate
                .replace(/{name}/g, nameValue)
                .replace(/{email}/g, emailValue)
                .replace(/{message}/g, messageValue);

              return updatedLink;
            };
            changeHrefValue();

            let link = changeHrefValue();
            return { link };
          }
        },
      }).then((result) => {
        if (result.isConfirmed) {
          window.open(result.value.link, "_blank");
        }
      });
    });
  });

  function isValidEmail(email) {
    return String(email)
      .toLowerCase()
      .match(
        /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
      );
  }
})(jQuery);
